<template>
    <div class="ui top attached label"><h4>Historial Crediticio</h4></div>
        <table class="ui selectable celled table">
            <thead>
                <tr>
                    <th class="rigth aligned ten wide">Solicitudes</th>
                    <th class="center aligned">Estatus</th>
                </tr>
            </thead>
            <tbody  repeat.for="item of Solicitudes.SolicitudesHistorial">
                <tr class="${item.Estatus ? 'positive' : 'negative'}">
                    <td>
                        <h4 class="ui header"> 
                            <div class="content"> ${item.Descripcion}
                                <div class="sub header">${item.Pagos} pagos: ${item.PorcentajeInteres} de interés.</div>
                                <div class="sub header">Monto: ${item.Monto}</div>
                            </div>
                        </h4>
                    </td>
                    <td class="center aligned"><i class="large thumbs ${item.Estatus ? 'green up' : 'red down'}  outline icon"></td> 
                </tr> 
            </tbody>
        </table>
    </div>
    <button class="ui fluid large teal button" click.delegate="NuevaSolicitud()">Nueva Solicitud</button>
</template>